Bug 140900 - system-config-printer does not install a ppd from file correctly
system-config-printer does not install a ppd from file correctly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-26 02:59 EST by Walter Mueller
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 11:14:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Walter Mueller 2004-11-26 02:59:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041110 Firefox/1.0

Description of problem:
After I install the PPD file for the Kyocera Mita FS-1020 via
system-config-printer -> Action -> Import PPD
the printer driver is not available using the Printer driver menu


Version-Release number of selected component (if applicable):
system-config-printer-0.6.116-1

How reproducible:
Always

Steps to Reproduce:
(The printer is already installed using a generic Postscript entry)
1. Start system-config-printer
2. Choose Action -> Import PPD
3. Select files /tmp/Kyocera_Mita_FS-1020_English.ppd
3. Choose Printer -> Edit -> Printer driver
    There is no entry for the printer
    

Actual Results:  Messages in the terminal where system-config-printers
was started

Writing /usr/share/foomatic/db/source/opt/ppd-ppd1-Resolution.xml
Writing /usr/share/foomatic/db/source/opt/ppd-ppd1-KCCollate.xml
Writing /usr/share/foomatic/db/source/opt/ppd-ppd1-KCVersion.xml
Writing /usr/share/foomatic/db/source/opt/ppd-ppd1-InputSlot.xml
Writing /usr/share/foomatic/db/source/opt/ppd-ppd1-PageSize.xml
Writing /usr/share/foomatic/db/source/opt/ppd-ppd1-Duplex.xml
Writing /usr/share/foomatic/db/source/opt/ppd-ppd1-Smoothing.xml
Writing /usr/share/foomatic/db/source/opt/ppd-ppd1-MediaType.xml
Reading /usr/share/foomatic/db/source/driver/ppd.xml
Writing /usr/share/foomatic/db/source/driver/ppd.xml

Expected Results:  An entry for the Kyocera FS-1020 should appear in
the Printer driver menu

Additional info:

I think the installed files should use the printer name not a generic
name like ppd-ppd1-*, ppd-ppd2-*, ...
Comment 1 Tim Waugh 2004-11-26 07:49:36 EST
Are you looking under "Kyocera Mita", which is what the PPD sets Manufacturer to?

Why do the XML file names bother you?  They are not user-visible.
Comment 2 Walter Mueller 2004-11-26 08:17:43 EST
There is no entry for "Kyocera Mita"
The XML file names are printed on ther terminal, so i can see them.
If i install PPD files for different printers the  ppd-ppd1-*, ppd-ppd2-*, ...
naming scheme is confusing
Comment 3 Tim Waugh 2004-11-26 08:51:26 EST
You probably have to restart system-config-printer after importing the PPD (this
is fixed in rawhide).

I don't see your point with the XML file names at all.  How do they confuse you?
 You never have to choose between different XML file names.
Comment 4 Walter Mueller 2004-11-26 15:11:01 EST
I did restart system-config-printer after importing the PPD but
nothing changed.  
It is fixed in rawhide. After i rebuilt
system-config-printer-0.6.117-1.src.rpm from rawhide and installed 
/usr/src/redhat/RPMS/i386/system-config-printer-0.6.117-1.i386.rpm
/usr/src/redhat/RPMS/i386/system-config-printer-gui-0.6.117-1.i386.rpm
i can see Kyocer Mita in the printer manufacturer menu and select and
use the correct printer driver.

My point with the XML file names is the aversion of a long time
systemadministrator against obscure naming scheme when it would be
easy to use descriptive names.

I had to install and delete the ppd files to test this case. I also
experimented with different languages of this driver. I always had to
open the file to see which PPD it belonged to.

If you install the same driver twice then next 
/usr/share/foomatic/db/source/opt/ppd-ppd*
is created, the existing is not used.

I missed a choice to delete a wronly installed PPD
Comment 5 Tim Waugh 2004-11-29 11:14:24 EST
Avoiding overwrites is intentional -- you might want to have two different PPDs
alongside one another, but for the same model.

Anyway, glad this is fixed in rawhide.  Thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.